submissions_associations_retrieve
const url = 'https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/associations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/associations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'Retrieve a given submission metadata object.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Unique identifier for the submission association.
The submission this association belongs to.
Header Parameters
Section titled “Header Parameters”Workspace ID
Responses
Section titled “Responses”Serializer for submission associations, including linked objects.
object
Unique identifier for the submission association.
Short unique slug identifying this association.
Friendly name for the association.
Return the interactor information of the object’s creator.
Parameters
obj : object The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Retrieve all linked data and metadata objects for this association.
Parameters
obj : SubmissionAssociation The current association instance.
Returns
list[dict] List of linked objects, each represented by: { “id”: UUID, “type”: “data” | “metadata”, “name”: str | None, “role”: str | None }
object
Example generated
{}object
object
Example
{ "code": "uri_validation_error", "message": "Invalid URI parameters. Check the `details` property for more details.", "details": [ { "parameter": "<parameter_name>", "code": "invalid", "message": "\"<parameter_value>\" is not a valid UUID." } ]}object
object
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "submission", "code": "not_allowed", "message": "You are not a member of this submission." } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
